Page MenuHomePhabricator

[WDQS Streaming Updater] Organise module structure
Closed, ResolvedPublic5 Estimated Story Points

Description

As a developer I want to have a structure of the rdf project to match the functionalities so that I can easier move around it and explain it.

Right now, every functionality related to updating is either in tools/common (old updater + shared code) and in streaming-updater + rdf-spark-tools. We should reorganise the structure with best practices in mind.

AC:

  • shared code is put in separate module and logically named.
  • tools is no longer a catch-all module.

Event Timeline

Zbyszko created this task.Apr 27 2020, 8:29 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 27 2020, 8:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Zbyszko updated the task description. (Show Details)Aug 10 2020, 3:51 PM
CBogen set the point value for this task to 5.Aug 10 2020, 3:53 PM

Change 623611 had a related patch set uploaded (by ZPapierski; owner: ZPapierski):
[wikidata/query/rdf@master] Module reorganization for streaming updater

https://gerrit.wikimedia.org/r/623611

Change 623611 merged by jenkins-bot:
[wikidata/query/rdf@master] Module reorganization for streaming updater

https://gerrit.wikimedia.org/r/623611

Gehel closed this task as Resolved.Sep 28 2020, 2:41 PM